package common;

import javax.swing.JSlider;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import javax.swing.DefaultBoundedRangeModel;

/**
 *
 * @author Projekte
 */
public class SliderListener extends ObservableValueFromRangeModel implements ChangeListener{


    public SliderListener(DefaultBoundedRangeModel m) {
        super(m);
    }
    /**
     * Mit dieser Methode meldet der JSlider eine Änderung seines
     * eingestellten Wertes. Überdies wird die Benachrichtigung der
     * Observer veranlasst.
     * @param e eine Instanz von ChangeEvent
     */
    @Override
    public void stateChanged(ChangeEvent e)
    {
        this.signalChange();
    }


}

