
package drawables;
import java.awt.Color;
import java.awt.Graphics2D;

/**
 *
 * @author Projekte
 */
public abstract class AbstractValuePresenter {

    protected ScaleProperties scaleProperties;
    protected AbstractNeedleShape needleShape;
    protected Color paintColor;

    protected AbstractValuePresenter(ScaleProperties sp,
            AbstractNeedleShape ns,
            Color c
            ) {
        scaleProperties = sp;
        needleShape = ns;
        paintColor = c;
    }
    public void renderWith (Graphics2D paintTool) {
        paintTool.setColor(paintColor);
        needleShape.renderWith(paintTool);
    };
}
