
package drawables;

/**
 * An instance describes the value range and the number of
 * subintervals of a scale. No presentation properties are described here.
 * @author development
 */
public class ScaleProperties {

    int startValue;
    int endValue;
    int numberOfSections;

    public ScaleProperties (int sv, int ev, int ns) {
        startValue = sv;
        endValue = ev;
        numberOfSections = ns;
    }

    public double delta () {
        return ((double) endValue - (double)startValue) / numberOfSections;
    }

    public boolean isReverse() {
        return endValue < startValue;
    }
}
