/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package window;

/**
 *
 * @author development
 */
public enum Aspect {
    ITEM_01 ("aspect_01"),
    ITEM_02 ("aspect_02"),
    ITEM_03 ("aspect_03"),
    ITEM_04 ("aspect_04"),
    ITEM_05 ("aspect_05"),
    ITEM_06 ("aspect_06"),
    ITEM_07 ("aspect_07"),
    ITEM_08 ("aspect_08");


    /**
     * the display string of the enum value
     */
    private String name;

    /**
     * Create a value and assign a display string
     * @param n the display string to be used
     */
    Aspect (String n) {
        this.name = n;
    }

    /**
     * This method return the display string for use in a JList
     * @return display string of the enum value
     * @see JList
     */
    @Override
    public String toString() {
        return name;
    }
}
