
package drawables;

import java.awt.geom.Point2D;

/**
 * Eine Instanz beschreibt die visuelle Darstellung eines Wertebereichs auf
 * einer Strecke.
 * (alter Kommentar: Waagerechte Skala mit waagerecht laufender Nadel.)
 * @author Projekte
 */
public class StraightRange {

    Point2D startPoint;
    private Point2D direction;
    ScaleOrientation orientation;
    double length;

    public StraightRange (Point2D sp, Point2D dir, ScaleOrientation dir2, double len) {
        startPoint = sp;
        direction = dir;
        orientation = dir2;
        length = len;
    }

    public boolean isHorizontal() {
        return orientation == ScaleOrientation.HORIZONTAL;
    }
}
