
package drawables;

/**
 *
 * @author Projekte
 */
public class TickSequenceRule {

    int initialTick;
    int firstVisibleTick;
    int increment;
    int skip;

    public TickSequenceRule (int it, int inc, int fd, int s) {
        initialTick = it;
        increment = inc;
        firstVisibleTick = fd;
        skip = s;
    }

    public TickSequenceRule (int it, int inc, int s) {
        this(it, inc, it, s);
    }

    public TickSequenceRule(int it, int inc) {
        this(it, inc, it, 0);
    }

    public int initialOffset () {
        return firstVisibleTick - initialTick;
    }

}
