
package drawables;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;

/**
 *
 * @author development
 */
public class VisualProperties {
    Color lineColor;
    float lineWidth;
    int lineCap;
    
    public VisualProperties (Color c, int lc, float lw) {
        lineColor = c;
        lineCap = lc;
        lineWidth = lw;
    }
    
    public VisualProperties (Color c, float lw) {
        this(c, BasicStroke.CAP_BUTT, lw);
    }
    
    public void installInto (Graphics2D g) {
        g.setColor(lineColor);
        g.setStroke(new BasicStroke(lineWidth, lineCap, BasicStroke.JOIN_ROUND));
    }
}
