
package drawables;

import java.awt.Color;
import java.awt.Font;

/**
 *
 * @author Projekte
 */
public class VisualStringProperties {

    Color textColor;
    Font font;

    public VisualStringProperties (Color tc, Font f) {
        textColor = tc;
        font = f;
    }

    public VisualStringProperties copyWithSize(int size) {
        Font newFont;
        newFont = font.deriveFont((float)size);
        return new VisualStringProperties (textColor, newFont);
    }
}
