package mvc;

/**
 * Diese Schnittstelle definiert das Protokoll von
 *  Modellklassen, die ihre Darstellungskomponente in einem
 * ComponentContainer anzeigen lassen können.
 * @author B.Gaertner
 * @see ComponentContainer
 */
public interface IModel<ModelType extends IModel<ModelType>> {
    public void installNewComponent(ComponentContainer<ModelType> cc);
}
