
package window;

import mvc.ModelHolder;
import example001.ClockExample001;
import example001.InstrumentExample001;
import example001.InstrumentExample002;
import example001.InstrumentExample008;
import example001.InstrumentExample010;
import example001.InstrumentExample011;
import static window.Aspect.ITEM_04;

/**
 *
 * @author Projekte
 */
public class ApplicationModel {

    /**
     * The model holder for the currently used aspect explorer.
     */
    private ModelHolder<InstrumentExplorerModel> explorerModel;
    private InstrumentExample001 example001;
    private InstrumentExample002 example002;

    private InstrumentExample008 example008;
    private InstrumentExample010 example010;
    private InstrumentExample011 example011;
    private ClockExample001 clockExample;

    public ApplicationModel() {
        explorerModel = new ModelHolder<>(null);
    }

    public ModelHolder<InstrumentExplorerModel> getExplorerModel() {
        return explorerModel;
    }

    public void notifyButtonSelection(Aspect buttonID) {
        switch (buttonID)
        {
            case ITEM_01:
                if (example001 == null) {
                    example001 = new InstrumentExample001();
                }
                explorerModel.setModel(example001);
                break;
            case ITEM_02:
                if (example002 == null) {
                    example002 = new InstrumentExample002();
                }
                explorerModel.setModel(example002);
                break;
            case ITEM_03:
                if (example008 == null) {
                    example008 = new InstrumentExample008();
                }
                explorerModel.setModel(example008);
                break;
            case ITEM_04:
                if (example010 == null) {
                    example010 = new InstrumentExample010();
                }
                explorerModel.setModel(example010);
                break;
            case ITEM_05:
                if (example011 == null) {
                    example011 = new InstrumentExample011();
                }
                explorerModel.setModel(example011);
                break;
            case ITEM_06:
                if (clockExample == null) {
                    clockExample = new ClockExample001();
                }
                explorerModel.setModel(clockExample);
                break;
            default:
                explorerModel.setModel(null);
                break;
        }
    }
}
